Bug 473897

Summary: gnome-power-manager hangs on change of power state, refuses to start, locks GDM
Product: [Fedora] Fedora Reporter: James <theholyettlz>
Component: gnome-power-managerAssignee: Richard Hughes <richard>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 10CC: ajax, j.roztocil, rhughes, richard, tsutomu
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-07 05:45:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Output of gnome-power-manager --no-daemon --verbose.
none
Output of gnome-power-manager --no-daemon --verbose none

Description James 2008-12-01 06:22:32 EST
Description of problem:
gnome-power-manager is acting up. I booted on battery power, and then switched to mains. A small, unredrawn rectangle appeared in the middle of the screen. The g-p-m icon was no longer repainting in the GNOME panel, and it was eating CPU time. I killed it, but it now refuses to start.

This also happens on the login screen. Change the power state, and the g-p-m icon no longer responds. Worse still, it locks the X session forcing a Ctrl+Alt+Backspace to get out of the situation.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.24.2-2.fc10.x86_64
hal-0.5.12-12.20081027git.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Change power state when logged in.
2. Note g-p-m not responding, eating CPU, box on the screen. Kill g-p-m.
3. Attempt to start it again.
  
or:
1. Return to login screen.
2. Change power state.

Actual results:
g-p-m misbehaves.

Expected results:
g-p-m behaves itself like it did in F9.

Additional info:
See attached output from gnome-power-manager --no-daemon --verbose.
Comment 1 James 2008-12-01 06:23:16 EST
Created attachment 325217 [details]
Output of gnome-power-manager --no-daemon --verbose.
Comment 2 Richard Hughes 2008-12-01 07:15:31 EST
What hardware is this? Specifically, what graphics card? Thanks.
Comment 3 James 2008-12-01 07:23:12 EST
It's a notebook with Intel X3100 graphics and a T8100 processor. For the ACPI dump, see attachment 306540 [details] for bug 448150. Smolt profile at http://www.smolts.org/client/show/pub_237bf12d-5525-4481-913a-04005c0cf0f8 .
Comment 4 James 2008-12-01 07:24:46 EST
Sorry, left out graphics driver: xorg-x11-drv-i810-2.5.0-3.fc10.x86_64
Comment 5 Richard Hughes 2008-12-01 08:17:19 EST
Your graphics driver reports 26015 levels of brightness, which, is pretty insane. If this is true, we'll have to modify this function:

/**
 * gpm_brightness_get_step:
 * @levels: The number of levels supported
 * Return value: the amount of hardware steps to do on each increment or decrement
 **/
guint
gpm_brightness_get_step (guint levels)
{
	/* macbook pro has a bazzillion brightness levels, do in 5% steps */
	if (levels > 20)
		return levels / 20;
	return 1;
}

So with your hardware, we should go in 5% steps. Ajax, does the number of steps look correct to you?
Comment 6 James 2008-12-01 08:46:10 EST
As far as I understood it, this notebook has never exposed any brightness control to software (at least, not through ACPI; I don't know about X).
Comment 7 Jakub Roztočil 2008-12-09 12:10:09 EST
The same problem here.

Smolt profile: http://www.smolts.org/client/show/pub_68b5a070-b2fa-4278-9cda-604b29fc4a61
Comment 8 Jakub Roztočil 2008-12-09 12:11:09 EST
Created attachment 326364 [details]
Output of gnome-power-manager --no-daemon --verbose
Comment 9 James 2008-12-12 12:17:58 EST
In the meantime, I'll work around this by disabling backlight control in gconf:/apps/gnome-power-manager/backlight/enable .
Comment 10 Tsutomu Hiroshima 2009-01-05 21:40:18 EST
The same problem with:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

With AC, it works fine.
Without AC, no battery icon on the panel, the screen is flickering, takes time to launch an application(xterm), 
no "On Battery Power" tab in "Power Management Preference".
Comment 11 Richard Hughes 2009-04-15 12:14:31 EDT
Does this still happen with the version in fedora rawhide, or the version of the Fedora 11 beta live cd?
Comment 12 James 2009-09-26 14:37:08 EDT
I'm using F11 now. Anyone want to chip in before I close it?